Skip to main content
GET
/
projects
/
{project_reference}
/
capabilities
Get Project Capabilities
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/capabilities \
  --header 'Authorization: Bearer <token>'
{
  "resolved_capabilities": {
    "source_target": {
      "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "runtime_target": {
      "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "skills": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "source_path": "<string>",
        "allowed_tools": [
          "<string>"
        ]
      }
    ],
    "tools": [
      {
        "name": "<string>",
        "description": "<string>",
        "parameters": {}
      }
    ],
    "integrations": [
      {
        "id": "<string>",
        "name": "<string>",
        "tool_names": [
          "<string>"
        ]
      }
    ],
    "tool_access": {
      "freshness": {
        "resolved_at": "2023-11-07T05:31:56Z",
        "valid_for_ms": 1
      },
      "inputs": {
        "capabilities": [],
        "billing": {
          "collaboration_allowed": true,
          "can_invite": true
        },
        "entitlements": {
          "dedicated_runtime": true,
          "custom_domains": true,
          "export_apps": true
        }
      },
      "families": [
        {
          "default_decision": {
            "message": "<string>"
          },
          "action_overrides": [
            {
              "decision": {
                "message": "<string>"
              }
            }
          ]
        }
      ]
    },
    "prompts": [
      {
        "id": "<string>",
        "name": "<string>",
        "source_path": "<string>",
        "description": "<string>"
      }
    ],
    "workflows": [
      {
        "id": "<string>",
        "name": "<string>",
        "target": "<string>",
        "source_path": "<string>",
        "schedulable": true,
        "description": "<string>",
        "version": "<string>",
        "input_schema": {},
        "output_schema": {}
      }
    ],
    "tasks": [
      {
        "id": "<string>",
        "name": "<string>",
        "target": "<string>",
        "source_path": "<string>",
        "schedulable": true,
        "description": "<string>",
        "input_schema": {},
        "output_schema": {}
      }
    ],
    "agents": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "provider": {
          "organization": "<string>",
          "url": "<string>"
        },
        "version": "<string>",
        "capabilities": {
          "streaming": true,
          "push_notifications": true,
          "extensions": [
            "<string>"
          ]
        },
        "default_input_modes": [
          "<string>"
        ],
        "default_output_modes": [
          "<string>"
        ],
        "tools": [
          "<string>"
        ],
        "skills": [
          {
            "id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "tags": [
              "<string>"
            ],
            "examples": [
              "<string>"
            ]
          }
        ],
        "can_run": true,
        "source_path": "<string>",
        "x-veryfront-model": "<string>",
        "x-veryfront-url": "<string>",
        "suggestions": [
          "<string>"
        ],
        "installed_access": {
          "grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "service_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "<string>"
        },
        "runtime_readiness": {
          "reason": "<string>",
          "runtime_service_key": "<string>"
        },
        "avatar_url": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Query Parameters

runtime_target_kind
enum<string> | null

Provide the runtime target kind.

Available options:
main_branch,
environment,
preview_branch
target_environment_id
string<uuid> | null

Provide the target environment id.

target_branch_id
string<uuid> | null

Provide the target branch id.

source_target_kind
enum<string>

Provide the source target kind.

Available options:
project,
main_branch,
environment,
preview_branch

Response

Resolved project capabilities

resolved_capabilities
object
required